### Constructor

# Gtk.Image.new_from_icon_name

#### Declaration [src]

    GtkWidget*
    gtk_image_new_from_icon_name (
      const char* icon_name
    )

#### Description [src]

Creates a `GtkImage` displaying an icon from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead. If the current icon theme is changed, the icon will be updated appropriately.

#### Parameters

`icon_name` | `const char*`
| an icon name or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new `GtkImage` displaying the themed icon
Ownership is not transferred to the caller